import os
from PIL import Image

# 현재 폴더 경로
current_folder = os.getcwd()
print(current_folder)

# 그림 파일 확장자 목록
image_extensions = ['.png', '.jpg', '.jpeg', '.gif', '.bmp']

# 현재 폴더에 있는 파일 목록 가져오기
files_in_current_folder = os.listdir(current_folder)

# 그림 파일만 필터링
image_files = [file for file in files_in_current_folder if os.path.splitext(file)[1].lower() in image_extensions]

# 그림 파일 불러오기 및 출력
for image_file in image_files:
    image_path = os.path.join(current_folder, image_file)
    image = Image.open(image_path)
    image.show()  # 이미지 보여주기 (GUI 환경에서만 작동)
    print(f'Loaded image: {image_file}')
