import os
from PIL import Image

# 현재 폴더 경로
current_folder = os.getcwd()

# 01.jpg부터 28.jpg까지의 파일명을 생성하여 리스트로 저장
image_files = [f"{str(i).zfill(2)}.jpg" for i in range(1, 29)]


# 각 이미지 파일을 순차적으로 불러오기 및 출력
for image_file in image_files:
    image_path = os.path.join(current_folder, image_file)
    if os.path.exists(image_path):  # 파일이 존재하는지 확인
        image = Image.open(image_path)
        image.show()  # 이미지 보여주기 (GUI 환경에서만 작동)
        print(f'Loaded image: {image_file}')
    else:
        print(f'File not found: {image_file}')

