def evaluate_polynomial(coefficients, x):
    """
    다항식을 계산하여 결과를 반환합니다.
    
    Parameters:
        coefficients (list): 다항식의 각 항의 계수를 포함하는 리스트
        x (float): 다항식에 대입할 변수의 값
    
    Returns:
        float: 계산된 다항식의 결과 값
    """
    result = 0
    degree = len(coefficients) - 1  # 다항식의 차수
    
    for i, coef in enumerate(coefficients):
        result += coef * (x ** (degree - i))
    
    return result

# 다항식의 계수
coefficients = [3, 2, -1]

# 변수 값
x = 2

# 다항식 계산
result = evaluate_polynomial(coefficients, x)
print("다항식 결과:", result)
