def add_polynomials(poly1, poly2):
    """
    두 다항식을 더합니다.
    
    Parameters:
        poly1 (list): 첫 번째 다항식의 계수 리스트
        poly2 (list): 두 번째 다항식의 계수 리스트
    
    Returns:
        list: 두 다항식의 덧셈 결과 다항식의 계수 리스트
    """
    max_degree = max(len(poly1), len(poly2))
    result = [0] * max_degree

    for i in range(len(poly1)):
        result[i] += poly1[i]

    for i in range(len(poly2)):
        result[i] += poly2[i]

    return result

def subtract_polynomials(poly1, poly2):
    """
    두 다항식을 뺍니다.
    
    Parameters:
        poly1 (list): 첫 번째 다항식의 계수 리스트
        poly2 (list): 두 번째 다항식의 계수 리스트
    
    Returns:
        list: 두 다항식의 뺄셈 결과 다항식의 계수 리스트
    """
    max_degree = max(len(poly1), len(poly2))
    result = [0] * max_degree

    for i in range(len(poly1)):
        result[i] += poly1[i]

    for i in range(len(poly2)):
        result[i] -= poly2[i]

    return result

# 다항식의 계수
poly1 = list(map(int, input('다항식의 개수를 입력하세요. ').split()))
poly2 = list(map(int, input('다항식의 개수를 입력하세요. ').split()))


# 두 다항식의 덧셈
addition_result = add_polynomials(poly1, poly2)
print("두 다항식의 덧셈 결과:", addition_result)

# 두 다항식의 뺄셈
subtraction_result = subtract_polynomials(poly1, poly2)
print("두 다항식의 뺄셈 결과:", subtraction_result)
